Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Types | Public Member Functions
proofs::BitPluckerEncoder< Field, LOGN > Class Template Reference

## Public Types
using | packed_v32 = std::array<Elt, kNv32Elts>
using | packed_v128 = std::array<Elt, kNv128Elts>
using | packed_v256 = std::array<Elt, kNv256Elts>

## Public Member Functions
| BitPluckerEncoder (const Field &F)
Elt | encode (size_t i) const
packed_v32 | mkpacked_v32 (uint32_t j)
template<typename T>
T | pack (uint8_t bits[], size_t n)

The documentation for this class was generated from the following file:

- lib/circuits/logic/bit_plucker_encoder.h